2020-07-04 21:00 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000522AIAIpublic2009-02-21 12:32
Reporterdanuthaiduc 
Assigned Tohoijui 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000522: Spring crashes when capturing enemy construction unit
DescriptionAfter capturing an AI construction unit, Spring crashes. Not instantly, but after a few seconds while the game is still working. I have reproduced this bug both with AAI, included in the windows installation, and with KAI, when capturing a Construction Vehicle and a Construction Kbot
TagsNo tags attached.
Attached Files
  • txt file icon infolog.txt (2,937 bytes) 2007-04-11 11:27 -
    Using script GlobalAI test (KAI-0.12.dll)
    Map: Tangerine.smf
    Mod: "Absolute Annihilation V5.0" from AA5.0project.sdz
    Number of damage types: 42
    Inconsistant move data hover 0 Mausser TANKHOVER3
    Inconsistant move data hover 0 Navarone TANKHOVER3
    Spring 0.74b3
    Player no name joined as 0
    AI\Bot-libs\KAI-0.12.dll has C++ interface
    AI has enabled cheating.
    GlobalAI1: KAI Metal Class by Krogothe
    GlobalAI1: Metal Spots created and saved!
    GlobalAI1: Metal Spots Found 58
    GlobalAI1: UnitTable loaded in 0.000013s
    GlobalAI1: Time Taken to create chokepoints: 0.051755
    No response from no name
    Delayed respone from no name (4499 instead of 4559)
    LLT is being attacked
    Spring 0.74b3 has crashed.
    Exception: Access violation (0xc0000005)
    Exception Address: 0x0cdbe5be
    DLL information:
    0x00400000	spring
    0x7c900000	ntdll
    0x7c800000	kernel32
    0x77dd0000	ADVAPI32
    0x77e70000	RPCRT4
    0x73f10000	dsound
    0x77c10000	msvcrt
    0x7e410000	USER32
    0x77f10000	GDI32
    0x774e0000	ole32
    0x76b40000	WINMM
    0x77c00000	VERSION
    0x68b20000	GLU32
    0x5ed00000	OPENGL32
    0x73760000	DDRAW
    0x73bc0000	DCIMAN32
    0x76c90000	IMAGEHLP
    0x71ad0000	WSOCK32
    0x71ab0000	WS2_32
    0x71aa0000	WS2HELP
    0x10000000	SDL
    0x7c340000	MSVCR71
    0x00b00000	DevIL
    0x66fc0000	freetype6
    0x61b80000	zlib1
    0x00c90000	glew32
    0x76390000	IMM32
    0x5cd70000	serwvdrv
    0x5b0a0000	umdmxfrm
    0x5ad70000	uxtheme
    0x74720000	MSCTF
    0x77b40000	apphelp
    0x755c0000	msctfime
    0x77fe0000	Secur32
    0x76fd0000	CLBCATQ
    0x77050000	COMRes
    0x77120000	OLEAUT32
    0x605d0000	mslbui
    0x5c2c0000	sptip
    0x5d090000	COMCTL32
    0x74c80000	OLEACC
    0x76080000	MSVCP60
    0x20000000	SPGRMR
    0x01d10000	ATKOGL32
    0x69500000	nvoglnt
    0x71a50000	mswsock
    0x662b0000	hnetcfg
    0x71a90000	wshtcpip
    0x76f20000	DNSAPI
    0x76fb0000	winrnr
    0x76f60000	WLDAP32
    0x751d0000	wshbth
    0x77920000	SETUPAPI
    0x76fc0000	rasadhlp
    0x72d20000	wdmaud
    0x76c30000	WINTRUST
    0x77a80000	CRYPT32
    0x77b20000	MSASN1
    0x72d10000	msacm32
    0x77be0000	MSACM32
    0x77bd0000	midimap
    0x73ee0000	KsUser
    0x0cdb0000	KAI-0.12
    0x59a60000	DBGHELP
    Stacktrace:
    (0) E:\Program Files\Spring\AI\Bot-libs\KAI-0.12.dll [0x0CDBE5BE]
    (1) E:\Program Files\Spring\AI\Bot-libs\KAI-0.12.dll [0x0CDC03FF]
    (2) E:\Program Files\Spring\AI\Bot-libs\KAI-0.12.dll [0x0CDB91B2]
    (3) E:\Program Files\Spring\spring.exe [0x004D359A]
    (4) E:\Program Files\Spring\spring.exe [0x004DBEB1]
    (5) E:\Program Files\Spring\spring.exe [0x004EAD10]
    (6) E:\Program Files\Spring\spring.exe [0x004ECDF4]
    (7) E:\Program Files\Spring\spring.exe [0x007142C6]
    (8) E:\Program Files\Spring\spring.exe [0x00719B96]
    (9) E:\Program Files\Spring\spring.exe [0x00719F52]
    (10) E:\Program Files\Spring\spring.exe [0x0071A0F2]
    (11) E:\Program Files\Spring\spring.exe [0x007963E5]
    (12) E:\Program Files\Spring\spring.exe [0x00401092]
    (13) E:\Program Files\Spring\spring.exe [0x0040110F]
    (14) C:\WINDOWS\system32\kernel32.dll(RegisterWaitForInputIdle+0x49) [0x7C816D4F]
    
    txt file icon infolog.txt (2,937 bytes) 2007-04-11 11:27 +

-Relationships
has duplicate 0000521resolvedhoijui Spring crashes when capturing enemy construction unit 
+Relationships

-Notes

~0000884

Kloot (developer)

Thank you for the report, I'd forgotten to fix this in KAI (it is now).

~0003290

hoijui (reporter)

someone (i guess submarine) fixed it already in AAI. but i saw that giving a unit to AAI, AAI does not store it internally, as one of its own units. so if you tried to capture that unit again, AAI tried to delete it from its internal storage, and then crashed. this is fixed now (in caiinterface branch, soon in master).
+Notes

-Issue History
Date Modified Username Field Change
2007-04-11 11:27 danuthaiduc New Issue
2007-04-11 11:27 danuthaiduc File Added: infolog.txt
2007-04-11 17:59 Kloot Note Added: 0000884
2009-02-21 11:42 hoijui Status new => assigned
2009-02-21 11:42 hoijui Assigned To => hoijui
2009-02-21 12:32 hoijui Note Added: 0003290
2009-02-21 12:32 hoijui Status assigned => resolved
2009-02-21 12:32 hoijui Resolution open => fixed
2009-02-21 12:56 hoijui Relationship added has duplicate 0000521
+Issue History